Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCParameterSetter.JDBCAbstractParameterSetter

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCParameterSetter.JDBCAbstractParameterSetter

All Implemented Interfaces:
  JDBCParameterSetter

Enclosing class:
  JDBCParameterSetter

public abstract static class JDBCParameterSetter.JDBCAbstractParameterSetter
extends Object
implements JDBCParameterSetter

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCParameterSetter
`JDBCParameterSetter.JDBCAbstractParameterSetter`

Field Summary

Fields inherited from interface org.jboss.ejb.plugins.cmp.jdbc.JDBCParameterSetter
`BINARY, BLOB, CLOB, NUMERIC, OBJECT`

Constructor Summary
`JDBCParameterSetter.JDBCAbstractParameterSetter()`

Method Summary
`void` | `set(PreparedStatement ps, int index, int jdbcType, Object value, org.jboss.logging.Logger log)` Sets a parameter of a specific JDBC type.
`protected abstract void` | `setNotNull(PreparedStatement ps, int index, int jdbcType, Object value, org.jboss.logging.Logger log)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCParameterSetter.JDBCAbstractParameterSetter

    public JDBCParameterSetter.JDBCAbstractParameterSetter()

Method Detail

### set

    public void set(PreparedStatement ps,
                    int index,
                    int jdbcType,
                    Object value,
                    org.jboss.logging.Logger log)
             throws SQLException

  Description copied from interface: `JDBCParameterSetter`
  Sets a parameter of a specific JDBC type.

  Specified by:
    `set` in interface `JDBCParameterSetter`
  Parameters:
    `ps` - the java.sql.PreparedStatement to set parameter on
    `index` - the index of the parameter
    `jdbcType` - the JDBC type of the parameter as defined by java.sql.Types
    `value` - parameter value
    `log` - the logger
  Throws:
    `SQLException`

### setNotNull

    protected abstract void setNotNull(PreparedStatement ps,
                                       int index,
                                       int jdbcType,
                                       Object value,
                                       org.jboss.logging.Logger log)
                                throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.